demo version: problems with other pdf-versions  SOLVED

This Forum is for the use of End Users requiring help and assistance for Tracker Software's PDF-XChange Printer Drivers only - Please do not post requests for older versions of PDF-XChange or the PDF-Tools/OFFice2PDF applications here

Moderators: TrackerSupp-Daniel, Tracker Support, Vasyl-Tracker Dev Team, Sean - Tracker, Chris - Tracker Supp, Tracker Supp-Stefan

Post Reply
Peter2
User
Posts: 841
Joined: Mon Sep 13, 2010 10:09 am
Location: Switzerland

demo version: problems with other pdf-versions

Post by Peter2 » Thu Mar 14, 2019 2:54 pm

I tried some pdf-versions (1.4, 1.5, 1.7, ..) with the demo-driver, but it creates nearly always 1.4-files. I have to change the defaults in printer-settings in "system control" to get 1.5 and 1.7.

When set to PDFA-1A it creates a 1.4 ... - bug or feature?
PDF-X-Change Pro German

User avatar
Ovg
User
Posts: 261
Joined: Tue Sep 05, 2017 4:56 pm
Location: Moscow

Re: demo version: problems with other pdf-versions  SOLVED

Post by Ovg » Thu Mar 14, 2019 4:07 pm

It seems that PDFA/1 is based on Adobe 1.4

https://en.wikipedia.org/wiki/PDF/A
It's impossible to lead us astray for we don't care even to choose the way.
PDF-XChange PRO, 8.0 (Build 334.0) / W7 x64 SP1

User avatar
Tracker Supp-Stefan
Site Admin
Posts: 13632
Joined: Mon Jan 12, 2009 8:07 am
Location: London
Contact:

Re: demo version: problems with other pdf-versions

Post by Tracker Supp-Stefan » Fri Mar 15, 2019 10:52 am

Hello Peter,

Yes - PDF/A is based on 1.4 spec, and this is usually the specification varsion sufficient for almost all files.
Unless there is e.g. higher security restriction placed (256 bit keys), or e.g. some transparency - in most cases you do not need a version of the PDF file higher than 1.4. Our drivers will always by default try to create the file with the lowest possible PDF specification version so that the widest range of PDF readers could display it later, and higher versions are used only when a feature has to be implemented that is not supported by the earlier ones.

Regards,
Stefan

Peter2
User
Posts: 841
Joined: Mon Sep 13, 2010 10:09 am
Location: Switzerland

Re: demo version: problems with other pdf-versions

Post by Peter2 » Fri Mar 15, 2019 1:57 pm

Thanks to both - it's clear now.

@Stefan:
Sometimes we will use transparency from CAD and GIS - is there a "cooking recipe" for best results?
PDF-X-Change Pro German

User avatar
Will - Tracker Supp
Site Admin
Posts: 6816
Joined: Mon Oct 15, 2012 9:21 pm
Location: London, UK
Contact:

Re: demo version: problems with other pdf-versions

Post by Will - Tracker Supp » Fri Mar 15, 2019 3:20 pm

Hi Peter,

Setting a higher PDF Spec. version should be sufficient. The lower the version, the more 'universal' the document produced, but the fewer features of the PDF format available (to put it very simplistically). You can try e.g. 1.5 or 1.6 and it should be fine. Most modern readers are fully capable of working with higher spec. documents.

Cheers,
If posting files to this forum, you must archive the files to a ZIP, RAR or 7z file or they will not be uploaded.
Thank you.

Best regards

Will Travaglini
Tracker Support (Europe)
Tracker Software Products Ltd.
http://www.tracker-software.com

Post Reply